#
# Conditional build:
%bcond_without	static_libs	# static library
%bcond_with	mmx		# MMX instructions
%bcond_with	sse		# SSE instructions
%bcond_with	sse2		# SSE2 instructions in CIE,two-table,ycbcr modules, sse2-* modules
# sse4.1, avx2, f16c are optional (in separate modules)
# sse2 is runtime-detected, but whole files are compiled with -msse2, so it's not optional
#
%ifarch pentium2 pentium3 pentium4 athlon %{x8664} x32
%define		with_mmx	1
%endif
%ifarch pentium3 pentium4 %{x8664} x32
%define		with_sse	1
%endif
%ifarch pentium4 %{x8664} x32
%define		with_sse2	1
%endif
Summary:	Library for pixel-format agnosticism
Summary(pl.UTF-8):	Biblioteka niezależności od formatu piksela
Name:		babl
Version:	0.1.106
Release:	1
License:	LGPL v3+
Group:		Libraries
Source0:	https://download.gimp.org/pub/babl/0.1/%{name}-%{version}.tar.xz
# Source0-md5:	f0932832cdc4cf9b09c0f97ff48fea07
URL:		https://www.gegl.org/babl/
BuildRequires:	gobject-introspection-devel >= 1.32.0
BuildRequires:	lcms2-devel >= 2.8
BuildRequires:	meson >= 0.54.0
BuildRequires:	ninja >= 1.5
BuildRequires:	python3 >= 1:3
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.20.0
BuildRequires:	xz
%{?with_mmx:Requires:	cpuinfo(mmx)}
%{?with_sse:Requires:	cpuinfo(sse)}
%{?with_sse:Requires:	cpuinfo(sse2)}
Requires:	lcms2 >= 2.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Babl is a dynamic, any to any, pixel format conversion library. It
provides conversions between the myriad of buffer types images can be
stored in. Babl doesn't only help with existing pixel formats, but
also facilitates creation of new and uncommon ones.

%description -l pl.UTF-8
Babl to biblioteka dynamicznych przekształceń między dowolnymi
formatami pikseli. Udostępnia konwersje między wieloma różnymi typami
buforów obrazów. Babl nie tylko pomaga przy istniejących formatach
pikseli, ale także ułatwia tworzenie nowych i niestandardowych.

%package devel
Summary:	Header files for babl library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki babl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	lcms2-devel >= 2.8

%description devel
Header files for babl library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki babl.

%package static
Summary:	Static babl library
Summary(pl.UTF-8):	Statyczna biblioteka babl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static babl library.

%description static -l pl.UTF-8
Statyczna biblioteka babl.

%package -n vala-babl
Summary:	Vala API for babl library
Summary(pl.UTF-8):	API języka Vala dla biblioteki babl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.20.0
BuildArch:	noarch

%description -n vala-babl
Vala API for babl library.

%description -n vala-babl -l pl.UTF-8
API języka Vala dla biblioteki babl.

%prep
%setup -q

%build
%meson build \
	%{!?with_mmx:-Denable-mmx=false} \
	%{!?with_sse:-Denable-sse=false} \
	%{!?with_sse2:-Denable-sse2=false}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS TODO
%attr(755,root,root) %{_bindir}/babl
%attr(755,root,root) %{_libdir}/libbabl-0.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbabl-0.1.so.0
%{_libdir}/girepository-1.0/Babl-0.1.typelib
%dir %{_libdir}/babl-0.1
%attr(755,root,root) %{_libdir}/babl-0.1/*.so

%files devel
%defattr(644,root,root,755)
%doc docs/{*.html,*.css}
%attr(755,root,root) %{_libdir}/libbabl-0.1.so
%{_includedir}/babl-0.1
%{_datadir}/gir-1.0/Babl-0.1.gir
%{_pkgconfigdir}/babl-0.1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libbabl-0.1.a
%endif

%files -n vala-babl
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/babl-0.1.deps
%{_datadir}/vala/vapi/babl-0.1.vapi
%changelog
* Thu May 18 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/babl.git;a=log;h=master

* Thu May 18 2023 Jakub Bogusz <qboosh@pld-linux.org> 2d6033b
- updated to 0.1.106

* Sat Mar 25 2023 Jakub Bogusz <qboosh@pld-linux.org> a6351e1
- updated to 0.1.102; pkgconfig name changed (babl -> babl-0.1)

* Thu Jan 12 2023 Jakub Bogusz <qboosh@pld-linux.org> f1dadb9
- updated to 0.1.98

* Sat May 21 2022 Jakub Bogusz <qboosh@pld-linux.org> 2e36333
- updated to 0.1.92

* Sat Feb 05 2022 Jan Rękorajski <baggins@pld-linux.org> d057a11
- up to 0.1.88

* Fri Apr 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 7e5b912
- updated to 0.1.86
- removed obsolete modules patch

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> e28a4d0
- unconditional noarch subpackages

* Thu Dec 10 2020 Jakub Bogusz <qboosh@pld-linux.org> 3556fa6
- updated to 0.1.82
- vala- subpackage as noarch

* Wed Sep 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 9187e13
- updated to 0.1.80; vala is back

* Sun Mar 08 2020 Jakub Bogusz <qboosh@pld-linux.org> be30d99
- updated to 0.1.74

* Mon Nov 18 2019 Jakub Bogusz <qboosh@pld-linux.org> 1a9af4b
- updated to 0.1.72; now uses meson
- added modules patch (build modules as shared only)

* Sun May 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 7cbe63d
- updated to 0.1.64

* Tue Apr 09 2019 Adam Gołębiowski <adamg@pld-linux.org> 5296e85
- updated to 0.1.62

* Wed Oct 24 2018 Adam Gołębiowski <adamg@pld-linux.org> 518c4a5
- updated to 0.1.58

* Sat Jul 07 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> fa6e0c1
- up to 0.1.52

* Mon May 21 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5348c4e
- up to 0.1.50

* Tue Apr 24 2018 Jan Palus <atler@pld-linux.org> 871018e
- up to 0.1.46

* Thu Mar 22 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 9adfa92
- Update to 0.1.44

* Mon Jan 01 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 104dc1b
- Update to 0.1.38

* Sun Sep 17 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 096b147
- up to 0.1.30

